G_PROVIDER_BY_NAME(9)

NAME
g_provider_by_name - find GEOM provider with given name

SYNOPSIS
#include <geom/geom.h>
struct g_provider *
g_provider_by_name(const char *name);

DESCRIPTION
The g_provider_by_name() function searches for a provider called name and returns the structure g_provider bound to it. Argument name can be a name or full path (i.e., “da0”, or “/dev/da0”).

RESTRICTIONS/CONDITIONS
The topology lock has to be held.

RETURN VALUES
The g_provider_by_name() function returns a pointer to the provider called name or NULL if there is no such provider.

SEE ALSO
geom(4), DECLARE_GEOM_CLASS(9), g_access(9), g_attach(9), g_bio(9), g_consumer(9), g_data(9), g_event(9), g_geom(9), g_provider(9), g_wither_geom(9)

AUTHORS
-nosplit This manual page was written by Pawel Jakub Dawidek <pjd@FreeBSD.org>.